import { Attachment } from "@/types/attachment";
import { CreatedBy } from "@/types/general";

export interface IDCForm {
  id: number;
  contact_person: string;
  mobile_no: string;
  meter_no: string;
  meter_reading: string;
  premises_type: string;
  dc_perform: number;
  dc_perform_reason: string | null;
  paid_amount: string;
  dc_request: number;
  meter_un_meter: number;
  category: string | null;
  latitude: string;
  longitude: string;
  remarks: string | null;
  additional_remarks: string | null;
  un_meter_reason: string | null;
  created_by: CreatedBy;
  updated_by?: CreatedBy | null;
  created_at: string;
  updated_at: string;
  project_id?: number | null;
  attachments: Attachment[];
  offline?: boolean;
}